"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const isObject$1 = require("./isObject.js");
const _isPrototype = require("./_isPrototype.js");
const _nativeKeysIn = require("./_nativeKeysIn.js");
var isObject = isObject$1.isObject_1, isPrototype = _isPrototype._isPrototype, nativeKeysIn = _nativeKeysIn._nativeKeysIn;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseKeysIn(object) {
  if (!isObject(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
var _baseKeysIn = baseKeysIn;
exports._baseKeysIn = _baseKeysIn;
